PropertiesUtil (Velocity 1.7 API)
Keywords: org.apache.velocity.texen.util.PropertiesUtil class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.texen.util
Class PropertiesUtil

    java.lang.Object
      org.apache.velocity.texen.util.PropertiesUtil

public class PropertiesUtil
extends Object

A property utility class for the texen text/code generator Usually this class is only used from a Velocity context.

Version:
  $Id: PropertiesUtil.java 510628 2007-02-22 19:07:59Z nbubna $
Author:
  Leon Messerschmidt, Stephane Bailliez

Constructor Summary
`PropertiesUtil()`

Method Summary
`Properties` | `load(String propertiesFile)` Load properties from either a file in the templatePath if there is one or the classPath.
`protected Properties` | `loadFromClassPath(String propertiesName)` Load a properties file from the classpath
`protected Properties` | `loadFromTemplatePath(String propertiesFile)` Load a properties file from the templatePath defined in the generator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesUtil

    public PropertiesUtil()

Method Detail

### load

    public Properties load(String propertiesFile)

  Load properties from either a file in the templatePath if there is one or the classPath.

  Parameters:
    `propertiesFile` - the properties file to load through either the templatePath or the classpath.
  Returns:
    a properties instance filled with the properties found in the file or an empty instance if no file was found.

### loadFromTemplatePath

    protected Properties loadFromTemplatePath(String propertiesFile)
                                       throws Exception

  Load a properties file from the templatePath defined in the generator. As the templatePath can contains multiple paths, it will cycle through them to find the file. The first file that can be successfully loaded is considered. (kind of like the java classpath), it is done to clone the Velocity process of loading templates.

  Parameters:
    `propertiesFile` - the properties file to load. It must be a relative pathname.
  Returns:
    a properties instance loaded with the properties from the file. If no file can be found it returns an empty instance.
  Throws:
    `Exception`

### loadFromClassPath

    protected Properties loadFromClassPath(String propertiesName)
                                    throws Exception

  Load a properties file from the classpath

  Parameters:
    `propertiesName` - the properties file to load.
  Returns:
    a properties instance loaded with the properties from the file. If no file can be found it returns an empty instance.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.